liboprf (0.7.1-1) unstable; urgency=medium

  * New upstream, shipped 2025-03-21:
    [mod] use latest functionality in ft-mult fixing some conceptual issues
    [fix] don't crash dkg_vss_share() if t=0
    [mod] missing newline in test output fixed
    [fix] multiplexer actually uses timeouts provided by clients
    [mod] interpolate() doesn't need a return value

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 21 Mar 2025 09:28:02 +0100

liboprf (0.7.0-1) unstable; urgency=medium

  * Note to Debian Release Team: since nothing in current Debian sid reverse
    depends upon liboprf-dev, and only python3-pyoprf reverse depends upon
    liboprf0t64, upgrading from src:liboprf 0.6.1-1 to 0.7.0-1 does not
    "require changes (rebuilds or actual patches) to reverse dependencies";
    therefore does not constite a transition; and therefore, as I understand
    it, is allowed at the current "Transition and Toolchain Freeze" stage of
    the release cycle.

  * New upstream, shipped 2025-03-15:
    [enh] mult shares not validated by commitments are robust during
     toprf-update
    [fix] allow multiplexer to not connect to all peers
    [fix] actually reconstruct arbitrary share/secret in dkg_vss_reconstruct()
    [mod] adapted ft-mult and update-poc to use (and test) new
     dkg_vss_reconstruct
    [enh] added interpolate() to toprf, a much more versatile
     dkg_vss_reconstruct based on it, and refactored TOPRF_Share into toprf.h
    [mod] added ../toprf.c as dep to tests/ft-mult
    [fix] size of oprf input was limited to 255 bytes instead of 65535, thx
     stepanmracek
    [mod] merged commitment0 into commitments in toprf-update and related
     files
    [enh] added ft-mult test
    [mod] many small fixes in toprf-update
    [mod] removed useless lines from dkg-vss.c
    [doc] minor edits to stp-update.txt
    [fix] corruption was too much
    [fix] makefile typo
    [fix] trying to get the vendored kdf to work
    [fix] wrong bitsize for hkdf
    [mod] backward compatibility for hkdf_sha256
    [enh] adopted stp-dkg to stp-update
    [mod] updated gitignores
    [mod] added PoC for very barebones toprf update
    [doc] 1st stab at an stp-update.txt spec
    [fix] more robust deterministic rng in utils.c
    [mod] added toprf-update-corrupt to tests/makefile
    [doc] minor fixes to stp-dkg.txt
    [fix] dgk typo in stp-dkg
    [fix] size of noise peer name
    [fix] types in tp-dkg
    [fix] types in tests/mpmult.c
    [fix] small fixes to stp-dkg.[ch] - use KeyloaderCB type, stp_recv_msg()
     and a typo for SSTP_DKG_Message_Type
    [fix] not using greek letters as variable names in mpmult.c
    [mod] removed unneeded parens from dkg.h
    [mod] minor stp-dkg cleanups
    [doc] fully documented stp-dkg.h
    [doc] minor cleanups in tp-dkg.h
    [mod] refactored S?TP_DKG_Cheater into DKG_Cheater
    [fix] complaints len is not const in handler
    [fix] complaints len was wrongly incremented
    [fix]  is not a valid escape in strings according to some
    [mod] made corruption fns static in stp-dkg.c
    [mod] updated mpmult to match toprf-update stuff
    [mod] added WIP toprf-update impl
    [mod] removed corruption fns from tests/stp-dkg.c
    [mod] fixed stack size for tests
    [mod] added corruption functions to stp-dkg.c
    [mod] stp_dkg_corrupt.h not needed anymore
    [mod] fixed dkg_message size in py wrapper
    [doc] mentioned fig 7 for stp-dkg in readme
    [fix] added missing dkg-vss.c to library
    [mod] added tests/toprf-update.c
    [enh] switched stp-dkg impl to use ft-joint-dl-vss from grr98
    [mod] adding ansi colors to utils.h
    [mod] corrected type also in dkg.h
    [mod] corrected type in dkg.c
    [mod] added also version field to dkg message header
    [enh] added a protocol identifier to (s)tp-dkg messages header struct
    [mod] some more refactoring, and fixing steps in stpdkg_cheater_msg()
    [mod] removed obsolete include from stp-dkg.c
    [mod] refactored some of tp-dkg and stp-dkg into dkg.c
    [enh] added first stab at stp-dkg spec, impl and tests
    [mod] made tpdkg_sessionid_SIZE unsigned
    [mod] remove zero-size array undefined c behaviour for non gcc
    [doc] added ngi0 attribution to readme
    [doc] fixed typos in tp-dkg.txt
    [mod] added trace messages for allocation of memory for tp and peers

  * d/liboprf-dev.install: add new header file usr/include/oprf/stp-dkg.h .

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 19 Mar 2025 16:36:10 +0100

liboprf (0.6.1-1) unstable; urgency=medium

  * New upstream, shipped Jan 13, 2025:
    - [fix] make noise_xk makefile cflags ?= not += for packagers
    This should finally fix "unconditionally sets FORTIFY_SOURCE=2 flag".
    Thanks to Gianfranco Costamagna and Gui-Yue.  Closes: #1091671

  * d/rules: add a bunch of paths to -I in CFLAGS: deal with
    src/noise_xk/makefile and src/noise_xk/example/makefile.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 15 Jan 2025 07:23:06 +0100

liboprf (0.6.0-1) unstable; urgency=medium

  * This release was never uploaded.
  * New upstream, shipped Jan 7, 2025. Changes in 0.6.0 and
    0.5.0, which shipped Jan 2, 2025:
    [fix] added also tpdkg_peerstate_step() needed by any peer
    [fix] replaced the hardcoded 64bit state structs in python with getters in
     c, making the whole of it much more portable if using python
    [fix] pyoprf tpdkg now works on i686
    [mod] define log_file as extern in tp-dkg.h
    [mod] flush logfile in dump()
    [enh] correctly working vsps check tests
    [enh] added some more trace msgs in case of unit testing to toprf.c
    [enh] added working toprf_mpc_vsps_check()
    [doc] added short comment to dkg.c:polynom()
    [doc] small fixes to tp-update.txt
    [enh] if UNIT_TEST warn only once for non random generator
    [doc] formatting in tp-dkg
    [mod] need to -U fortify source first
    [mod] using consistently -D_FORTIFY_SOURCE=3 everywhere
    [mod] toprf_thresholdcombine() returns 1 on error
    [fix] indexing correctly the indexes array
    [mod] bruteforcing vsps_check
    [mod] trying to get t right
    [mod] trying to implement vsps test from GRR98
    [mod] simplified slightly test makefile
    [enh] aded invertedVDMmatrix() wrapping and hiding genVDM and invert in
     mpmult
    [mod] some more references to the mp multiplication paper and a fix in the
     mpmult test
    [doc] started spec on tp-update protocol
    [enh] mpmult works for all peers even beyond 2t+1
    [enh] added multiparty multiplication - enabling barebones (hazard!)
     updating of tOPRF
    [mod] moved toprf test to tests, some cleanups in tests/makefile
    [enh] added debug target to makefile

  * d/patches/series: disable no-fortify-source.patch: no longer patch
    hardcoded -D_FORTIFY_SOURCE=2 out of makefile, but go with current
    upstream -D_FORTIFY_SOURCE=3. This is yet another attempt to
    close # 1091671.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 11 Jan 2025 13:25:26 +0100

liboprf (0.4.0-1.1) unstable; urgency=medium

  * This release was never uploaded.
  * Add patch to stop enforcing fortify_source flag (Closes: #1091671)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Dec 2024 20:10:03 +0100

liboprf (0.4.0-1) unstable; urgency=low

  * New upstream, shipped Sept 28, 2024:
    - python/setup.py: [mod] added install_requires to setup.py
    - python/pyoprf/__init__.py: [fix] ugly workaround to have
        DKG_TP_*State structs 32B aligned
    - python/test.py: [enh] combinatorically testing all combinations of
        3hashtdh results
    - python/pyoprf/__init__.py, python/test.py, src/toprf.c, src/toprf.h:
        [enh] added native implementation of 3hashtdh to liboprf
    - python/3hashtdh.py: [enh] added 3hashtdh PoC
    - src/makefile: [fix] don't set funky hardening on intel darwin
    - src/makefile, src/noise_xk/example/makefile, src/noise_xk/makefile,
        src/tests/makefile: [fix] parisc* arch doesn't support clash protection
    - python/pyoprf/__init__.py: [fix] wrong peers_len in pyoprf
    - README.md: [doc] referenced also the GJKNX24 paper in the readme
    - python/{ => examples}/3hashtdh.py, python/{ => examples}/tpdkg_test.py,
        python/test.py, python/tests/test.py: [enh] converted basic tests into
        proper python unittests
    - python/authorized_keys: [mod] removed obsolete authorized_keys file from
        python/

  * d/patches/series: drop 0004-fix-fcf-protection-full_error.patch: included
    upstream

  * d/control: drop libequihash-dev from Build-Depends: ; add python3-pysodium,
    liboprf0t64 to python3-pyoprf Depends: , cf
    https://salsa.debian.org/debian/liboprf/-/merge_requests/1 . Thanks stef.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 29 Sep 2024 09:59:53 +0200

liboprf (0.3.2-3) unstable; urgency=low

  * d/patches/0004-fix-fcf-protection-full_error.patch: add patch contributed
    by Gui-Yue <yuemeng.gui@g.c>.  (And drop the incomplete
    0002-fcf-protection.patch .)  This fixes some of the build errors on
    some arches, and partly fixes #1081819.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 18 Sep 2024 14:13:20 +0200

liboprf (0.3.2-2) unstable; urgency=low

  * d/patches: add 0002-fcf-protection.patch taken from upstream.  (Should) fix
    builds on arm64, armel, armhf, mips64el, ppc64el, riscv64 and s390x.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 15 Sep 2024 09:08:07 +0200

liboprf (0.3.2-1) unstable; urgency=low

  * New upstream, shipped Sept 5, 2024.
    - d/patches/{0001-default-source.patch,0002-default-source.patch}: drop:
      now shipped with upstream.
    - d/rules: drop explicit -D_DEFAULT_SOURCE from CFLAGS and CPPFLAGS: no
      longer needed for build in src/test: upstream makefile got adjusted.

  * d/copyright: record license information of src/noise_xk/include/karmel/*.

  * d/liboprf-dev.install: executable, install liboprf{,-noiseXK}.a in arch
    specific directory usr/lib/${DEB_HOST_MULTIARCH}/ .
  * d/liboprf-dev.links: install symlink liboprf-noiseXK.so ->
    liboprf-noiseXK.so.0.
  * d/liboprf0t64.install: executable.

  * d/python3-pyoprf.install: executable.
  * d/control: add dh-python, python3-setuptools to Build-Depends.
  * d/control: add python3:any to python3-pyoprf Depends.
  * d/rules: add --with python3 to dh_auto_configure and to dh.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 14 Sep 2024 15:48:15 +0200

liboprf (0.3.1-1) unstable; urgency=low

  * This release was never uploaded.

  * New upstream, shipped Aug 31, 2024.  (Missed 0.2.0 which shipped Dec 7,
    2023; missed 0.3.0 which shipped Aug 21, 2024.)

  * d/rules: add --sourcedirectory=src: new upstream source layout.
  * d/liboprf-dev.install: we no longer ship liboprf.a, but liboprf-noiseXK.a.
    We now also ship usr/include/oprf/noiseXK/ and
    usr/include/oprf/noiseXK/karmel/krml/ .
  * d/liboprf0t64.install: install new usr/lib/liboprf-noiseXK.so.0
  * d/not-installed: add usr/lib/liboprf-noiseXK.so

  * d/control: ship new binary package python3-pyoprf: Python 3 bindings.
  * d/control: add python3-all to build-depends.
  * d/rules: build new python3 binary package: add explicit "dh_auto_configure",
    add extra dh_auto_install call.
  * d/rules: explicitly set PYBUILD_SYSTEM.
  * d/python3-pyoprf.install: added.
  * d/not-installed: add usr/lib/python*/dist-packages/pyoprf/__pycache__/

  * d/patches/0001-default-source.patch: add: cherry picked from upstream.
  * d/patches/0002-default-source.patch: add: cherry picked from upstream: fix
    build of tp-dkg-corrupt, do no longer set CFLAGS unconditionally.
  * d/rules: add -D_DEFAULT_SOURCE to CPPFLAGS: needed for build in src/test.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 01 Sep 2024 18:06:39 +0200

# For older changelog entries, run 'apt-get changelog liboprf0t64'
